IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='LINX_IO_HISTORICO_PROMOCAO') 
BEGIN
/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 20220614 
'Job.................:  
'Nome................: LINX_IO_HISTORICO_PROMOCAO
'Projeto............:  Commerce 
'Tabelas.............: 
'Dt Criação..........: 
'Dt Ult Alteracão....: 14/06/2022
'Alterado por........: Marcos Barros
'Criado por..........:    
'=======================================================================================
FARMAGOI-24164
*/
CREATE TABLE LINX_IO_HISTORICO_PROMOCAO (
    CD_EMP					INT NOT NULL,
    CD_FILIAL				INT NOT NULL,
    CD_PROMOCAO				INT NOT NULL,
    DS_PROMOCAO				VARCHAR(150) NOT NULL,
    DATA_INICIO_VIGENCIA	DATETIME NULL,
    DATA_FIM_VIGENCIA		DATETIME NULL,
    CD_PROD					INT NOT NULL,
    DS_PROD					VARCHAR(150) NOT NULL,
    VLR_BRUTO				MONEY NOT NULL,
    PERC_DESCONTO			MONEY NOT NULL,
    VLR_LIQUIDO				MONEY NOT NULL,
    EAN_CODE_BAR			CHAR(15) NOT NULL,
    ACAO					VARCHAR(10) NOT NULL,
    TIPO					VARCHAR(25) NOT NULL,
    USUARIO					INT NOT NULL,
    OBS						VARCHAR(100) NOT NULL,
    CONSTRAINT [PK_LINX_IO_HISTORICO_PROMOCAO] PRIMARY KEY CLUSTERED(CD_EMP, CD_FILIAL, CD_PROMOCAO, CD_PROD ASC)
)
END